import 'package:zhiying_comm/zhiying_comm.dart';

class ActivityDialogModel extends SkipModel {
  String isOpen;
  String name;
  String img;
  String btnImg;
  String skipType;
  String url;
  String skipIdentifier;

  ActivityDialogModel(
      {this.isOpen,
        this.name,
        this.img,
        this.btnImg,
        this.skipType,
        this.url,
        this.skipIdentifier});

  ActivityDialogModel.fromJson(Map<String, dynamic> json) {
    super.fromJson(json);
    isOpen = json['is_open'];
    name = json['name'];
    img = json['img'];
    btnImg = json['btn_img'];
    skipType = json['skip_type'];
    url = json['url'];
    skipIdentifier = json['skip_identifier'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['is_open'] = this.isOpen;
    data['name'] = this.name;
    data['img'] = this.img;
    data['btn_img'] = this.btnImg;
    data['skip_type'] = this.skipType;
    data['url'] = this.url;
    data['skip_identifier'] = this.skipIdentifier;
    return data;
  }
}
